SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001095SiT!portalpublic2010-02-20 19:572012-12-16 17:04
Reporterpaulh 
Assigned Tonicdev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.51 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001095: trying to open an incident in the portal lists each contract multiple times
DescriptionLooks like an incomplete join
TagsNo tags attached.
Attached Filespng file icon portal.png [^] (117,155 bytes) 2010-02-20 19:57


png file icon sit-3.90-bug3.png [^] (25,464 bytes) 2011-06-19 11:49

- Relationships

-  Notes
User avatar (0002459)
paulh (administrator)
2010-02-23 20:38

SQl

SELECT m.*, p.name, (m.incident_quantity - m.incidents_used) AS availableincidents FROM `supportcontacts` AS sc, `maintenance` AS m, `products` AS p WHERE m.product=p.id AND sc.contactid='1' AND sc.maintenanceid=m.id AND (expirydate > (UNIX_TIMESTAMP(NOW()) - 15778463) OR expirydate = -1) AND m.site = 1 UNION SELECT m.*, p.name, (m.incident_quantity - m.incidents_used) AS availableincidents FROM `supportcontacts` AS sc, `maintenance` AS m, `products` AS p WHERE m.product=p.id AND m.allcontactssupported = 'yes' AND (expirydate > (UNIX_TIMESTAMP(NOW()) - 15778463) OR expirydate = -1) AND m.site = 1 ORDER BY expirydate DESC

returns only three contracts
User avatar (0002460)
paulh (administrator)
2010-02-23 20:42

Thoroughly confused now it was only showing the contracts doubled up after a refresh its now consistently showing just one copy, very confusing
User avatar (0002462)
ivan (administrator)
2010-02-23 20:52

Have a try setting your contract to "all contacts supported" see if that makes a difference? Just a guess.
User avatar (0002466)
kieran (administrator)
2010-02-23 21:01

Hm, the refresh thing rings a bell about another bug having an allowance variable set incorrectly during login but is reset in the header.
User avatar (0004052)
ivan (administrator)
2011-06-19 11:50

Confirmed, just seen this myself, see screenshot: sit-3.90-bug3.png

I think it was fine the first time I looked but then when I look again it was duplicated, so maybe it gets read twice or something.
User avatar (0004055)
Tomse (developer)
2011-06-20 22:14

I had problems reproducing this, but going to the admin page and then entitlement seems to reproduce it
User avatar (0004394)
nicdev (developer)
2011-12-22 14:24

I have tried to reproduce this in current Git, but no matter how I cannot reproduce it. I also tested it on 3.65LTS and could not reproduce it.

Maybe it got fixed and someone forgot to note it?

Anyone to confirm?
User avatar (0004397)
nicdev (developer)
2011-12-22 15:36

Ok, I managed to get this reproduced once: It seems that when the session gets re-generated, the entitlement gets re-written, though i'm not sure why.
User avatar (0004617)
paulh (administrator)
2012-12-16 17:04

Had added a unset entitlements just before populating in git d256e69 so this should never happen

- Issue History
Date Modified Username Field Change
2010-02-20 19:57 paulh New Issue
2010-02-20 19:57 paulh File Added: portal.png
2010-02-23 20:38 paulh Note Added: 0002459
2010-02-23 20:42 paulh Note Added: 0002460
2010-02-23 20:52 ivan Note Added: 0002462
2010-02-23 21:01 kieran Note Added: 0002466
2011-06-19 11:49 ivan File Added: sit-3.90-bug3.png
2011-06-19 11:50 ivan Note Added: 0004052
2011-06-19 11:50 ivan Status new => confirmed
2011-06-19 11:50 ivan Target Version => 3.90beta1
2011-06-20 22:14 Tomse Note Added: 0004055
2011-12-22 14:03 nicdev Assigned To => nicdev
2011-12-22 14:03 nicdev Status confirmed => assigned
2011-12-22 14:24 nicdev Note Added: 0004394
2011-12-22 15:36 nicdev Note Added: 0004397
2012-12-16 17:04 paulh Note Added: 0004617
2012-12-16 17:04 paulh Status assigned => resolved
2012-12-16 17:04 paulh Resolution open => fixed
2012-12-16 17:04 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker